Up

# NSToolbarItem class documentation

### Authors

Generated by root

### Contents -

1. Software documentation for the NSToolbarItem class
2. Software documentation for the NSToolbarItemValidation protocol

# Software documentation for the NSToolbarItem class

## NSToolbarItem : NSObject

> Declared in:
>   AppKit/NSToolbarItem.h

> Conforms to:
>   NSCopying
>   NSValidatedUserInterfaceItem

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -action
- -allowsDuplicatesInToolbar
- -image
- -initWithItemIdentifier:
- -isEnabled
- -itemIdentifier
- -label
- -maxSize
- -menuFormRepresentation
- -minSize
- -paletteLabel
- -setAction:
- -setEnabled:
- -setImage:
- -setLabel:
- -setMaxSize:
- -setMenuFormRepresentation:
- -setMinSize:
- -setPaletteLabel:
- -setTag:
- -setTarget:
- -setToolTip:
- -setView:
- -tag
- -target
- -toolTip
- -toolbar
- -validate
- -view

### action

- (SEL) action;

Description forthcoming.

### allowsDuplicatesInToolbar

- (BOOL) allowsDuplicatesInToolbar;

Description forthcoming.

### image

- (NSImage*) image;

Description forthcoming.

### initWithItemIdentifier:

- (id) initWithItemIdentifier: (NSString*)itemIdentifier;

Description forthcoming.

### isEnabled

- (BOOL) isEnabled;

Description forthcoming.

### itemIdentifier

- (NSString*) itemIdentifier;

Description forthcoming.

### label

- (NSString*) label;

Description forthcoming.

### maxSize

- (NSSize) maxSize;

Description forthcoming.

### menuFormRepresentation

- (NSMenuItem*) menuFormRepresentation;

Description forthcoming.

### minSize

- (NSSize) minSize;

Description forthcoming.

### paletteLabel

- (NSString*) paletteLabel;

Description forthcoming.

### setAction:

- (void) setAction: (SEL)action;

Description forthcoming.

### setEnabled:

- (void) setEnabled: (BOOL)enabled;

Description forthcoming.

### setImage:

- (void) setImage: (NSImage*)image;

Description forthcoming.

### setLabel:

- (void) setLabel: (NSString*)label;

Description forthcoming.

### setMaxSize:

- (void) setMaxSize: (NSSize)maxSize;

Description forthcoming.

### setMenuFormRepresentation:

- (void) setMenuFormRepresentation: (NSMenuItem*)menuItem;

Description forthcoming.

### setMinSize:

- (void) setMinSize: (NSSize)minSize;

Description forthcoming.

### setPaletteLabel:

- (void) setPaletteLabel: (NSString*)paletteLabel;

Description forthcoming.

### setTag:

- (void) setTag: (int)tag;

Description forthcoming.

### setTarget:

- (void) setTarget: (id)target;

Description forthcoming.

### setToolTip:

- (void) setToolTip: (NSString*)toolTip;

Description forthcoming.

### setView:

- (void) setView: (NSView*)view;

Description forthcoming.

### tag

- (int) tag;

Description forthcoming.

### target

- (id) target;

Description forthcoming.

### toolTip

- (NSString*) toolTip;

Description forthcoming.

### toolbar

- (NSToolbar*) toolbar;

Description forthcoming.

### validate

- (void) validate;

Description forthcoming.

### view

- (NSView*) view;

Description forthcoming.

# Software documentation for the NSToolbarItemValidation protocol

## NSToolbarItemValidation

> Declared in:
>   AppKit/NSToolbarItem.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -validateToolbarItem:

### validateToolbarItem:

- (BOOL) validateToolbarItem: (NSToolbarItem*)theItem;

Description forthcoming.

Up